{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('dashboard/dashboard') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('dashboard/dashboard') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Mein Dashboard</span>
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="row g-3 mb-4 w-100 me-auto ms-auto">
            {% if is_granted('ROLE_PROPERTY_PROVIDER') %}
                <div class="col-lg-12 col-xl-6">
                    {% include 'property_vacancy_management/widget/property_provider_information_widget.html.twig' with {'idPrefix': 'dashboard_', 'operatorAccount': get_operator_account()} only %}
                </div>
            {% endif %}
            {% if is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_FEEDER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') or is_granted('ROLE_VIEWER') %}
                <div class="col-lg-12 col-xl-6">
                    {% include 'person_management/widget/follow_up_reminder_widget.html.twig' with {'idPrefix': 'dashboard_', 'occurrences': occurrences} only %}
                </div>
            {% endif %}
            {% if is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_FEEDER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') or is_granted('ROLE_PROPERTY_PROVIDER') %}
                <div class="col-lg-12 col-xl-6">
                    {% include 'property_vacancy_management/widget/property_vacancy_management_widget.html.twig' with {'idPrefix': 'dashboard_', 'propertyVacancyManagementStatistics': propertyVacancyManagementStatistics} only %}
                </div>
            {% endif %}
            {% if is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_VACANCY_REPORT_MANAGER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                <div class="col-lg-12 col-xl-6">
                    {% include 'property_vacancy_management/widget/property_vacancy_report_widget.html.twig' with {'idPrefix': 'dashboard_', 'propertyVacancyReportStatistics': propertyVacancyReportStatistics} only %}
                </div>
            {% endif %}
            {% if is_granted('ROLE_USER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_REPORT_MANAGER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                <div class="col-lg-12 col-xl-6">
                    {% include 'company_location_management/widget/looking_for_property_request_report_widget.html.twig' with {'idPrefix': 'dashboard_', 'lookingForPropertyRequestReportStatistics': lookingForPropertyRequestReportStatistics} only %}
                </div>
            {% endif %}
            {% if is_granted('ROLE_USER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                <div class="col-lg-12 col-xl-6">
                    {% include 'company_location_management/widget/looking_for_property_request_widget.html.twig' with {'idPrefix': 'dashboard_', 'lookingForPropertyRequestStatistics': lookingForPropertyRequestStatistics} only %}
                </div>
            {% endif %}
            {% if is_granted('ROLE_USER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                <div class="col-lg-12 col-xl-6">
                    {% include 'company_location_management/widget/matching_widget.html.twig' with {'idPrefix': 'dashboard_', 'matchingStatistics': matchingStatistics} only %}
                </div>
            {% endif %}
            {% if is_granted('ROLE_USER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                {% if has_hystreet_configuration() == true %}
                    <div class="col-lg-12 col-xl-6">
                        {% include 'report/widget/pedestrian_frequency_widget.html.twig' with {} only %}
                    </div>
                {% endif %}
            {% endif %}
            {% if is_granted('ROLE_USER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                {% if has_zielbildcheck_configuration() == true %}
                    <div class="col-lg-12 col-xl-6">
                        {% include 'report/widget/city_goals_widget.html.twig' with {} only %}
                    </div>
                {% endif %}
            {% endif %}
            {% if is_granted('ROLE_USER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                {% if has_wegweiser_kommune_place_mapping() == true %}
                    <div class="col-12 col-xl-6">
                        {% include 'report/widget/location_indicators_widget.html.twig' with {'wegweiserKommunePlaceMapping': wegweiserKommunePlaceMapping} only %}
                    </div>
                {% endif %}
            {% endif %}
            {% if is_granted('ROLE_USER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_REPORT_MANAGER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                {% if has_hall_of_inspiration_configuration() == true and hallOfInspirationConcept != null %}
                    <div class="col-lg-12 col-xl-6">
                        {% include 'company_location_management/widget/hall_of_inspiration_widget.html.twig' with {'idPrefix': 'dashboard_', 'hallOfInspirationConcept': hallOfInspirationConcept} only %}
                    </div>
                {% endif %}
            {% endif %}
            {% if is_granted('ROLE_PROPERTY_SEEKER') %}
                <div class="col-lg-12 col-xl-6">
                    {% include 'company_location_management/widget/property_seeker_information_widget.html.twig' with {'idPrefix': 'dashboard_', 'operatorAccount': get_operator_account()} only %}
                </div>
            {% endif %}
            {% if is_granted('ROLE_PROPERTY_SEEKER') %}
                <div class="col-lg-12 col-xl-6">
                    {% include 'company_location_management/widget/property_seeker_looking_for_property_requests_widget.html.twig' with {'idPrefix': 'dashboard_', 'lookingForPropertyRequestsStatistics': lookingForPropertyRequestsStatistics} only %}
                </div>
            {% endif %}
        </div>
    </div>
{% endblock %}
